PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
Migające animowane gify.
Autor Wiadomość
zajac 


Pomógł: 32 razy
Dołączył: 06 Lip 2005
Posty: 506
Skąd: Toruń
Wysłany: 2 Styczeń 2011, 13:44   Migające animowane gify.

Witam.

Od jakiegoś czasu w iceweasel większość animowanych gifów zamiast ładnie pokazywać animację mruga pokazując tylko pierwszy slajd czy ktoś spotkał się z czymś takim i wie jak to naprawić?

Pozdrawiam
_________________
Strony internetowe Toruń.
 
 
 
spid3r 

Distro: PLD 3.0
Dołączył: 18 Paź 2010
Posty: 21
Wysłany: 2 Styczeń 2011, 14:28   

Próbowałeś inną przeglądarką? Tylko w iceweaselu występuje ten problem?
 
 
zajac 


Pomógł: 32 razy
Dołączył: 06 Lip 2005
Posty: 506
Skąd: Toruń
Wysłany: 2 Styczeń 2011, 18:37   

Próbowałem opere, chromium, koonqueror i iceweasel i tylko w tym ostatnim jest ten problem.
_________________
Strony internetowe Toruń.
 
 
 
dirdival 


Distro: PLD 2.0;3.0
Pomógł: 61 razy
Dołączył: 30 Kwi 2007
Posty: 556
Skąd: Legionowo
Wysłany: 2 Styczeń 2011, 19:16   

Udało mi się zreprodukować błąd na iceweasel 3.6.12.
Powodem błędu są pakiety:
Kod:
cairo-1.10.0-8       
pixman-0.20.0-1   

Na tych wersjach nie mam problemu z animacjami:
Kod:
cairo-1.8.10-1   
pixman-0.16.4-1       
_________________
Cicho, cicho dzieci. To nie demony, nie diabły, gorzej ... to ludzie.
 
 
zajac 


Pomógł: 32 razy
Dołączył: 06 Lip 2005
Posty: 506
Skąd: Toruń
Wysłany: 3 Styczeń 2011, 08:24   

Dał byś radę podrzucić mi te 2 pliki?

Pozdrawiam
_________________
Strony internetowe Toruń.
 
 
 
svl 
paweld


Pomógł: 115 razy
Dołączył: 19 Lis 2006
Posty: 1038
Skąd: Toruń
Wysłany: 3 Styczeń 2011, 10:03   

zajac zerknij do th-archive
Kod:
poldek -n th-archive
_________________
God, root, what is difference?
 
 
zajac 


Pomógł: 32 razy
Dołączył: 06 Lip 2005
Posty: 506
Skąd: Toruń
Wysłany: 3 Styczeń 2011, 23:02   

Dzięki Panowie pomogło.
_________________
Strony internetowe Toruń.
 
 
 
spid3r 

Distro: PLD 3.0
Dołączył: 18 Paź 2010
Posty: 21
Wysłany: 18 Luty 2011, 21:11   

System po instalacji za pomocą liveth2disc (liveth gnome) ma pakiety:
Kod:

pixman-0.20.2-1.x86_64
cairo-1.10.2-3.x86_64

pixman jest wymagany przez cairo, natomiast cairo jest wymagany przez
Kod:
poppler-glib-0.16.2-1.x86_64


Żeby gify były poprawnie wyświetlane w iceweasel, robimy tak:
Kod:

# poldek -n th-archive
poldek:/all-avail> install --downgrade poppler-glib-0.16.0-1.x86_64
poldek:/all-avail> install --downgrade cairo-1.8.10-1.x86_64
poldek:/all-avail> install --downgrade pixman-0.16.6-1.x86_64

Teraz wszystko powinno działać tak jak bocian przykazał ;)

Proponuję zmienić wersję pakietów dodawanych do wydania live płyty, bo wersje pakietów nowsze od tych które podał dirdival także powodują błędy. Przepraszam za odkop - napisałem posta bo podejrzewam, że gotowiec podany przeze mnie przyda się tym którzy podobnie jak ja instalowali PLD z płytki live.

Podziękowania dla svl, za pomoc udzieloną na irc.
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 26 Luty 2011, 00:24   

spid3r napisał/a:
Żeby gify były poprawnie wyświetlane w iceweasel, robimy tak:
Kod:
# poldek -n th-archive
poldek:/all-avail> install --downgrade poppler-glib-0.16.0-1.x86_64
poldek:/all-avail> install --downgrade cairo-1.8.10-1.x86_64
poldek:/all-avail> install --downgrade pixman-0.16.6-1.x86_64

Teraz wszystko powinno działać tak jak bocian przykazał
Prawie wszystko... Evolution, jak chciałem napisać treść maila się zamknął :sad:
Wróciłem do wersji
Kod:
pixman-0.20.2-1.x86_64
cairo-1.10.2-3.x86_64
i znowu mogę pisać maile - co jest dla mnie ważniejsze od poprawnej animacji gifów w iceweaselu... Inna sprawa, że to miganie to w/g moich obserwacji pierwsza klatka z gifa, a kolejne są niewyświetlone, co daje efekt migania...
Opera i konqueror wyświetlają dobrze.
_________________
Krystian T.
"Errare humanum est."
 
 
spid3r 

Distro: PLD 3.0
Dołączył: 18 Paź 2010
Posty: 21
Wysłany: 26 Luty 2011, 16:42   

Najwidoczniej trzeba by i evolutiona downgradować, a może i więcej programów co nie wydaje się najlepszym pomysłem. Trzeba w takim układzie zmienić albo przeglądarkę albo klienta poczty - ja korzystam z poczty przez menadżery online więc wybór jest prosty.
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 1 Marzec 2011, 02:42   

Kolejna ciekawostka z badań nad animowanymi gifami - animacje, w których kolejne ramki animacji zakrywają poprzednie (a nie zastępują) działają poprawnie...
_________________
Krystian T.
"Errare humanum est."
 
 
MegaBajt 

Distro: PLD 3.0
Pomógł: 23 razy
Dołączył: 10 Wrz 2005
Posty: 88
Skąd: Łódź
Wysłany: 3 Marzec 2011, 15:43   

Powinno być poprawione w xulrunner-1.9.2.14-2.
_________________
Marcin Banasiak
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 3 Marzec 2011, 20:23   

U mnie działa :grin:
_________________
Krystian T.
"Errare humanum est."
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group